using System;
using NinjaTrader.NinjaScript;

internal sealed class Delegate589 : MulticastDelegate
{
	public extern StrategyBase Invoke(long long_0);

	public static StrategyBase smethod_0(long long_0, Delegate589 delegate589_1)
	{
		return delegate589_1(long_0);
	}

	public extern Delegate589(object object_0, IntPtr intptr_0);

	static Delegate589()
	{
		Class10.smethod_13(typeof(Delegate589).TypeHandle);
	}

	internal static Delegate589 delegate589_0;
}
